[net-next PATCH] test: hsr: Call cleanup_all_ns when hsr_redbox.sh script exits

Lukasz Majewski posted 1 patch 1 week, 5 days ago
tools/testing/selftests/net/hsr/hsr_redbox.sh | 2 ++
1 file changed, 2 insertions(+)
[net-next PATCH] test: hsr: Call cleanup_all_ns when hsr_redbox.sh script exits
Posted by Lukasz Majewski 1 week, 5 days ago
Without this change the created netns instances are not cleared after
this script execution. To fix this problem the cleanup_all_ns function
from ../lib.sh is called.

Signed-off-by: Lukasz Majewski <lukma@denx.de>
---
 tools/testing/selftests/net/hsr/hsr_redbox.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tools/testing/selftests/net/hsr/hsr_redbox.sh b/tools/testing/selftests/net/hsr/hsr_redbox.sh
index 52e0412c32e6..db69be95ecb3 100755
--- a/tools/testing/selftests/net/hsr/hsr_redbox.sh
+++ b/tools/testing/selftests/net/hsr/hsr_redbox.sh
@@ -86,6 +86,8 @@ setup_hsr_interfaces()
 check_prerequisites
 setup_ns ns1 ns2 ns3
 
+trap cleanup_all_ns EXIT
+
 setup_hsr_interfaces 1
 do_complete_ping_test
 
-- 
2.20.1
Re: [net-next PATCH] test: hsr: Call cleanup_all_ns when hsr_redbox.sh script exits
Posted by Simon Horman 1 week, 4 days ago
On Tue, May 07, 2024 at 11:11:55AM +0200, Lukasz Majewski wrote:
> Without this change the created netns instances are not cleared after
> this script execution. To fix this problem the cleanup_all_ns function
> from ../lib.sh is called.
> 
> Signed-off-by: Lukasz Majewski <lukma@denx.de>

Reviewed-by: Simon Horman <horms@kernel.org>